Bug 1018121 - fping-3.8 is available
fping-3.8 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fping (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Charles R. Anderson
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 05:33 EDT by Upstream Release Monitoring
Modified: 2013-11-18 08:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-18 08:38:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2013-10-11 05:33:50 EDT
Latest upstream release: 3.6
Current version/release in Fedora Rawhide: 3.5-3.fc20
URL: http://www.fping.org/dist/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Upstream Release Monitoring 2013-11-05 03:50:15 EST
Latest upstream release: 3.7
Current version/release in Fedora Rawhide: 3.5-3.fc20
URL: http://www.fping.org/dist/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 2 Account closed by the user 2013-11-05 15:47:13 EST
Changelog:

2013-11-04  David Schweikert  <david@schweikert.ch>
  * Version 3.7
  * Allow running as non-root on Mac OS X by using non-privileged ICMP (#7)
  * Remove unnecessary IPv6 socket options
  * Fix again compatibility issue with FreeBSD (Shawn Chu)
  * Fix fping hanging forever on permanent sendto failure (Shawn Chu)
  * Fix duplicate echo reply packets causing early stop in count mode
    (reported by Ramon Schwammberger, #53)

2013-10-10  David Schweikert  <david@schweikert.ch>
  * Version 3.6
  * Fix loop issue after 65536 pings (reported by Peter Folk and GBert, #12)
  * Minimum ping data size is now 0
  * Removed setsockopt IPV6_CHECKSUM, which shouldn't be set and breaks
    compiling on Solaris (reported by Juergen Arndt)
  * Fix wrong min RTT value with -Q option (reported by Alexander Ivanov, #51)
Comment 3 Upstream Release Monitoring 2013-11-15 04:55:04 EST
Latest upstream release: 3.8
Current version/release in Fedora Rawhide: 3.5-3.fc20
URL: http://www.fping.org/dist/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 4 Charles R. Anderson 2013-11-18 08:38:38 EST
Updated in rawhide.  I'll let it percolate there for awhile before updating older releases.

Note You need to log in before you can comment on or make changes to this bug.